Bug 790036 - xinetd leaking file descriptors
xinetd leaking file descriptors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xinetd (Show other bugs)
6.2
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Jan Synacek
qe-baseos-daemons
: ZStream
Depends On: 702670
Blocks: 836160 841915 841916 852274
  Show dependency treegraph
 
Reported: 2012-02-13 09:25 EST by Vojtech Vitek
Modified: 2015-03-04 18:57 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 702670
: 852274 (view as bug list)
Environment:
Last Closed: 2013-02-21 02:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojtech Vitek 2012-02-13 09:25:59 EST
+++ This bug was initially created as a clone of Bug #702670 +++

Description of problem:
xinetd is filling the log file up with:
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set



Version-Release number of selected component (if applicable):
[root@ccfg-node1 logs]# rpm -q xinetd
xinetd-2.3.14-33.fc14.x86_64


How reproducible:
40,000 cable modems hitting the daytime service (UDP port 37)

Steps to Reproduce:
1. Enable daytime in /etc/xinetd.d/daytime*
2. Turn 40,000 cable modems loose on said daytime service
3. Profit!!!
  
Actual results:
The log file grows at an unsustainable rate (6GB in 20 minutes!)


Expected results:
Peace, serenity and a cup of coffee...oh and daytime acting in a sane fashion.


Additional info:
This looks similar to bug 573764.

--- Additional comment from jsynacek@redhat.com on 2012-01-11 14:44:19 CET ---

It seems that xinetd is leaving a file descriptor open everytime it hits the cps limit and temporarily shuts down the service. You can work around this by setting "cps" in xinetd.conf to a very high value, for example like this:

cps 40000 10

This doesn't solve the root cause of the problem, though. I'm not sure how to fix this yet.
I'm also bumping the version for this to 16, as this bug is present in the latest version of xinetd.

--- Additional comment from jsynacek@redhat.com on 2012-01-16 12:11:08 CET ---

Fixed in rawhide,
http://lists.fedoraproject.org/pipermail/scm-commits/2012-January/720307.html

Fixes for stable releases are coming soon.

--- Additional comment from updates@fedoraproject.org on 2012-01-19 10:23:43 CET ---

xinetd-2.3.14-40.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xinetd-2.3.14-40.fc16

--- Additional comment from updates@fedoraproject.org on 2012-01-19 23:01:59 CET ---

Package xinetd-2.3.14-40.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xinetd-2.3.14-40.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0713/xinetd-2.3.14-40.fc16
then log in and leave karma (feedback).

--- Additional comment from updates@fedoraproject.org on 2012-01-28 04:27:11 CET ---

xinetd-2.3.14-40.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from jcmj@comcast.net on 2012-01-31 21:24:28 CET ---

Still happens with xinetd Version 2.3.14 libwrap loadavg
 50% cpu usage
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 rsyslogd-2177: imuxsock begins to drop messages from pid 6737 due to rate-limiting

Kernel is:
Linux one4.biz 3.2.2-1.fc16.x86_64 #1 SMP Thu Jan 26 03:21:58 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


Tried to updated as above and but package no longer exists, Perhaps ready to deploy.
su -c 'yum update --enablerepo=updates-testing xinetd-2.3.14-40.fc16'
Password: 
Loaded plugins: presto, refresh-packagekit, security
updates-testing/metalink                                 |  16 kB     00:00     
updates-testing                                          | 4.7 kB     00:00     
updates-testing/primary_db                               | 1.1 MB     00:01     
Setting up Update Process
No Packages marked for Update


Checked repo list tried it with 
su -c 'yum update --enablerepo=fedora-updates-testing xinetd-2.3.14-40.fc16'
Password: 
Loaded plugins: presto, refresh-packagekit, security


Error getting repository data for fedora-updates-testing, repository not found

--- Additional comment from jsynacek@redhat.com on 2012-02-01 07:31:54 CET ---

I'm not sure if I understand correctly. Make sure you have the latest version of xinetd (2.3.14-40 in f16; e.g. by running 'rpm -q xinetd'). If not, please update to the latest version ('yum update xinetd' without enabling testing repos, as this package is stable) and try again. Your problem should be solved by this update.

--- Additional comment from jcmj@comcast.net on 2012-02-01 15:39:54 CET ---


[ jeff]# rpm -q xinetd
xinetd-2.3.14-40.fc16.x86_64

Looping away rsyslogd stops when xinetd is killed
top - 08:36:40 up 19:30,  6 users,  load average: 2.15, 2.68, 2.75
Tasks: 309 total,   3 running, 306 sleeping,   0 stopped,   0 zombie
Cpu(s):  5.2%us, 81.7%sy,  0.0%ni,  0.0%id,  0.0%wa, 12.8%hi,  0.3%si,  0.0%st
Mem:   2052684k total,  1907288k used,   145396k free,     3020k buffers
Swap:  2326524k total,  1485048k used,   841476k free,   105780k cached
Which user (blank for all): 
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 8914 root      20   0 22288  592  504 R 38.2  0.0 499:59.54 xinetd             
  851 root      20   0  237m 1080  656 S 31.5  0.1 430:01.54 rsyslogd  


top - 08:39:17 up 19:33,  6 users,  load average: 2.31, 2.57, 2.70
Tasks: 309 total,   1 running, 308 sleeping,   0 stopped,   0 zombie
Cpu(s):  5.8%us, 10.4%sy,  0.0%ni, 62.9%id,  0.0%wa, 20.5%hi,  0.4%si,  0.0%st
Mem:   2052684k total,  1941700k used,   110984k free,     1232k buffers
Swap:  2326524k total,  1500624k used,   825900k free,   111104k cached
Which user (blank for all): 
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 9768 jeff      20   0 1846m 745m  15m S 13.2 37.2   4:12.44 firefox            
 9840 jeff      20   0 1042m 163m 6156 S  9.9  8.2   1:42.25 npviewer.bin

--- Additional comment from jsynacek@redhat.com on 2012-02-02 08:22:08 CET ---

Can you please provide your xinetd.conf and service configs you are using?

--- Additional comment from jcmj@comcast.net on 2012-02-02 17:23:11 CET ---

Here you go should be default from the beginning...

[jeff@one4 etc]$ cat xinetd.conf
#
# This is the master xinetd configuration file. Settings in the
# default section will be inherited by all service configurations
# unless explicitly overridden in the service configuration. See
# xinetd.conf in the man pages for a more detailed explanation of
# these attributes.

defaults
{
# The next two items are intended to be a quick access place to
# temporarily enable or disable services.
#
#       enabled         =
#       disabled        =

# Define general logging characteristics.
        log_type        = SYSLOG daemon info 
        log_on_failure  = HOST
        log_on_success  = PID HOST DURATION EXIT

# Define access restriction defaults
#
#       no_access       =
#       only_from       =
#       max_load        = 0
        cps             = 50 10
        instances       = 50
        per_source      = 10

# Address and networking defaults
#
#       bind            =
#       mdns            = yes
        v6only          = no

# setup environmental attributes
#
#       passenv         =
        groups          = yes
        umask           = 002

# Generally, banners are not used. This sets up their global defaults
#
#       banner          =
#       banner_fail     =
#       banner_success  =
}

includedir /etc/xinetd.d

[jeff@one4 etc]$ ls -l xinetd.d
total 76
-rw-r--r--. 1 root root  349 Mar 14  2011 apgd
-rw-r--r--. 1 root root 1145 Jun 28  2010 chargen-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 chargen-stream
-rw-r--r--  1 root root  239 Nov 11 07:19 cups-lpd
-rw-r--r--. 1 root root  238 Jun 28  2010 cups-lpd.rpmsave
-rw-r--r--. 1 root root  521 Jun 28  2010 cvs.rpmsave
-rw-r--r--. 1 root root 1145 Jun 28  2010 daytime-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 daytime-stream
-rw-r--r--. 1 root root 1145 Jun 28  2010 discard-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 discard-stream
-rw-r--r--. 1 root root 1136 Jun 28  2010 echo-dgram
-rw-r--r--. 1 root root 1138 Jun 28  2010 echo-stream
-rw-r--r--. 1 root root  331 Jun 28  2010 rsync
-rw-r--r--. 1 root root 1200 Jun 28  2010 tcpmux-server
-rw-r--r--. 1 root root  302 Jun 28  2010 telnet
-rw-r--r--  1 root root  518 Jan  4 04:00 tftp
-rw-r--r--. 1 root root 1137 Jun 28  2010 time-dgram
-rw-r--r--. 1 root root 1138 Jun 28  2010 time-stream
-rw-r--r--  1 root root  260 Dec  8 17:05 vsftpd

Recent changes
[jeff@one4 xinetd.d]$ cat vsftpd
# default: off
# description: The vsftpd FTP server serves FTP connections. It uses\
# normal, unencrypted usernames and passwords for authentication.
service ftp
{
        disable = no
socket_type = stream
wait = no
user = root
server = /usr/sbin/vsftpd
nice = 10
}

This one changed but I do not remember doing it, perhaps an upgrade
[jeff@one4 xinetd.d]$ cat tftp
# default: off
# description: The tftp server serves files using the trivial file transfer \
#       protocol.  The tftp protocol is often used to boot diskless \
#       workstations, download configuration files to network-aware printers, \
#       and to start the installation process for some operating systems.
service tftp
{
        socket_type             = dgram
        protocol                = udp
        wait                    = yes
        user                    = root
        server                  = /usr/sbin/in.tftpd
        server_args             = -s /var/lib/tftpboot
        disable                 = yes
        per_source              = 11
        cps                     = 100 2
        flags                   = IPv4
}


[jeff@one4 xinetd.d]$ chkconfig |grep on

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

DarwinStreamingServer   0:off   1:off   2:off   3:off   4:off   5:on    6:off
amavisd         0:off   1:off   2:on    3:on    4:on    5:on    6:off
clamd.amavisd   0:off   1:off   2:on    3:on    4:on    5:on    6:off
denyhosts       0:off   1:off   2:on    3:on    4:on    5:on    6:off
dkms_autoinstaller      0:off   1:off   2:on    3:on    4:on    5:on    6:off
fail2ban        0:off   1:off   2:on    3:on    4:on    5:on    6:off
jexec           0:on    1:on    2:on    3:on    4:on    5:on    6:on
libvirt-guests  0:off   1:off   2:off   3:on    4:on    5:on    6:off
libvirtd        0:off   1:off   2:off   3:on    4:on    5:on    6:off
netconsole      0:off   1:off   2:off   3:off   4:off   5:off   6:off
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
preload         0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd         0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd-service 0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd-x11     0:off   1:off   2:off   3:on    4:off   5:on    6:off
webmin          0:off   1:off   2:on    3:on    4:off   5:on    6:off
wine            0:off   1:off   2:off   3:off   4:off   5:on    6:off

[jeff@one4 xinetd.d]$ systemctl
UNIT                                                                LOAD   ACTIVE SUB       JOB DESCRIPTION
proc-sys-fs-binfmt_misc.automount                                   loaded active running       Arbitrary Executable File Formats File System Automount Point
sys-devices-pci0000:00-0000:00:03.0-virtio0-net-eth1.device         loaded active plugged       Virtio network device
sys-devices-pci0000:00-0000:00:05.0-sound-card1.device              loaded active plugged       82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
sys-devices-pci0000:00...host1-target1:0:0-1:0:0:0-block-sr0.device loaded active plugged       VBOX_CD-ROM
sys-devices-pci0000:00...-target0:0:0-0:0:0:0-block-sda-sda1.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...-target0:0:0-0:0:0:0-block-sda-sda2.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...host0-target0:0:0-0:0:0:0-block-sda.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...-usb1-1\x2d1-1\x2d1:1.2-sound-card0.device loaded active plugged       USB2.0_UVC_VGA
sys-devices-platform-serial8250-tty-ttyS0.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS0
sys-devices-platform-serial8250-tty-ttyS1.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS1
sys-devices-platform-serial8250-tty-ttyS2.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS2
sys-devices-platform-serial8250-tty-ttyS3.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS3
sys-devices-virtual-block-dm\x2d0.device                            loaded active plugged       /sys/devices/virtual/block/dm-0
sys-devices-virtual-block-dm\x2d1.device                            loaded active plugged       /sys/devices/virtual/block/dm-1
sys-devices-virtual-net-virbr0.device                               loaded active plugged       /sys/devices/virtual/net/virbr0
sys-devices-virtual-net-virbr0\x2dnic.device                        loaded active plugged       /sys/devices/virtual/net/virbr0-nic
sys-devices-virtual-tty-tty0.device                                 loaded active plugged       /sys/devices/virtual/tty/tty0
sys-devices-virtual-tty-tty1.device                                 loaded active plugged       /sys/devices/virtual/tty/tty1
sys-devices-virtual-tty-tty10.device                                loaded active plugged       /sys/devices/virtual/tty/tty10
sys-devices-virtual-tty-tty11.device                                loaded active plugged       /sys/devices/virtual/tty/tty11
sys-devices-virtual-tty-tty12.device                                loaded active plugged       /sys/devices/virtual/tty/tty12
sys-devices-virtual-tty-tty2.device                                 loaded active plugged       /sys/devices/virtual/tty/tty2
sys-devices-virtual-tty-tty3.device                                 loaded active plugged       /sys/devices/virtual/tty/tty3
sys-devices-virtual-tty-tty4.device                                 loaded active plugged       /sys/devices/virtual/tty/tty4
sys-devices-virtual-tty-tty5.device                                 loaded active plugged       /sys/devices/virtual/tty/tty5
sys-devices-virtual-tty-tty6.device                                 loaded active plugged       /sys/devices/virtual/tty/tty6
sys-devices-virtual-tty-tty7.device                                 loaded active plugged       /sys/devices/virtual/tty/tty7
sys-devices-virtual-tty-tty8.device                                 loaded active plugged       /sys/devices/virtual/tty/tty8
sys-devices-virtual-tty-tty9.device                                 loaded active plugged       /sys/devices/virtual/tty/tty9
sys-module-configfs.device                                          loaded active plugged       /sys/module/configfs
sys-module-fuse.device                                              loaded active plugged       /sys/module/fuse
-.mount                                                             loaded active mounted       /
boot.mount                                                          loaded active mounted       /boot
dev-hugepages.mount                                                 loaded active mounted       Huge Pages File System
dev-mqueue.mount                                                    loaded active mounted       POSIX Message Queue File System
home-carol-.gvfs.mount                                              loaded active mounted       /home/carol/.gvfs
home-jeff-.gvfs.mount                                               loaded active mounted       /home/jeff/.gvfs
home-jill-.gvfs.mount                                               loaded active mounted       /home/jill/.gvfs
media-sf_Shared.mount                                               loaded active mounted       /media/sf_Shared
media-shared.mount                                                  loaded active mounted       /media/shared
media.mount                                                         loaded active mounted       Media Directory
proc-sys-fs-binfmt_misc.mount                                       loaded active mounted       Arbitrary Executable File Formats File System
sys-fs-fuse-connections.mount                                       loaded active mounted       FUSE Control File System
sys-kernel-config.mount                                             loaded active mounted       Configuration File System
sys-kernel-debug.mount                                              loaded active mounted       Debug File System
sys-kernel-security.mount                                           loaded active mounted       Security File System
var-lib-nfs-rpc_pipefs.mount                                        loaded active mounted       RPC Pipe File System
var-lock.mount                                                      loaded active mounted       Lock Directory
var-run.mount                                                       loaded active mounted       Runtime Directory
cups.path                                                           loaded active waiting       CUPS Printer Service Spool
systemd-ask-password-plymouth.path                                  loaded active waiting       Forward Password Requests to Plymouth Directory Watch
systemd-ask-password-wall.path                                      loaded active waiting       Forward Password Requests to Wall Directory Watch
abrtd.service                                                       loaded active running       ABRT Automated Bug Reporting Tool
amavisd.service                                                     loaded active running       SYSV: amavisd is an interface between MTA and content checkers
atd.service                                                         loaded active running       Job spooling tools
avahi-daemon.service                                                loaded active running       Avahi mDNS/DNS-SD Stack
bootchart.service                                                   loaded active exited        Collect Bootchart Data
clamd.amavisd.service                                               loaded active running       SYSV: The clamd server running for amavisd
console-kit-daemon.service                                          loaded active running       Console Manager
console-kit-log-system-start.service                                loaded active exited        Console System Startup Logging
crond.service                                                       loaded active running       Command Scheduler
cups.service                                                        loaded active running       CUPS Printing Service
dbus.service                                                        loaded active running       D-Bus System Message Bus
denyhosts.service                                                   loaded active running       LSB: Enable execution of denyhosts, an SSH log watcher
dkms_autoinstaller.service                                          loaded active exited        LSB: Automatically install DKMS modules for new kernels
dovecot.service                                                     loaded active running       Dovecot IMAP/POP3 email server
fail2ban.service                                                    loaded active running       SYSV: Fail2ban daemon
fedora-loadmodules.service                                          loaded active exited        Load legacy module configuration
fedora-readonly.service                                             loaded active exited        Configure read-only root support
fedora-storage-init-late.service                                    loaded active exited        Initialize storage subsystems (RAID, LVM, etc.)
fedora-storage-init.service                                         loaded active exited        Initialize storage subsystems (RAID, LVM, etc.)
fedora-wait-storage.service                                         loaded active exited        Wait for storage scan
getty@tty2.service                                                  loaded active running       Getty on tty2
getty@tty3.service                                                  loaded active running       Getty on tty3
getty@tty4.service                                                  loaded active running       Getty on tty4
getty@tty5.service                                                  loaded active running       Getty on tty5
getty@tty6.service                                                  loaded active running       Getty on tty6
httpd.service                                                       loaded active running       The Apache HTTP Server (prefork MPM)
jexec.service                                                       loaded active exited        LSB: Supports the direct execution of binary formats.
ksm.service                                                         loaded active exited        Kernel Samepage Merging
ksmtuned.service                                                    loaded active running       Kernel Samepage Merging (KSM) Tuning Daemon
libvirt-guests.service                                              loaded active exited        LSB: suspend/resume libvirt guests on shutdown/boot
libvirtd.service                                                    loaded active running       LSB: daemon for libvirt virtualization API
lvm2-monitor.service                                                loaded active exited        Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progres
mcelog.service                                                      loaded active running       Machine Check Exception Logging Daemon
mysqld.service                                                      loaded active running       MySQL database server
netfs.service                                                       loaded active exited        LSB: Mount and unmount network filesystems.
NetworkManager.service                                              loaded active running       Network Manager
nfs-idmap.service                                                   loaded active running       NFSv4 ID-name mapping daemon
nfs-lock.service                                                    loaded active running       NFS file locking service.
ntpd.service                                                        loaded active running       Network Time Service
pcscd.service                                                       loaded active running       PC/SC Smart Card Daemon
prefdm.service                                                      loaded active running       Display Manager
preload.service                                                     loaded active running       LSB: Adaptive readahead daemon
rc-local.service                                                    loaded active exited        /etc/rc.d/rc.local Compatibility
remount-rootfs.service                                              loaded active exited        Remount Root FS
rpcbind.service                                                     loaded active running       RPC bind service
rsyslog.service                                                     loaded active running       System Logging Service
rtkit-daemon.service                                                loaded active running       RealtimeKit Scheduling Policy Service
sendmail.service                                                    loaded active running       Sendmail Mail Transport Agent
sm-client.service                                                   loaded active running       Sendmail Mail Transport Client
sshd-keygen.service                                                 loaded active exited        SSH server keys generation.
sshd.service                                                        loaded active running       OpenSSH server daemon
systemd-binfmt.service                                              loaded active exited        Set Up Additional Binary Formats
systemd-logind.service                                              loaded active running       Login Service
systemd-remount-api-vfs.service                                     loaded active exited        Remount API VFS
systemd-stdout-syslog-bridge.service                                loaded active running       STDOUT Syslog Bridge
systemd-sysctl.service                                              loaded active exited        Apply Kernel Variables
systemd-tmpfiles-setup.service                                      loaded active exited        Recreate Volatile Files and Directories
systemd-user-sessions.service                                       loaded active exited        Permit User Sessions
systemd-vconsole-setup.service                                      loaded active exited        Setup Virtual Console
udev-settle.service                                                 loaded active exited        udev Wait for Complete Device Initialization
udev-trigger.service                                                loaded active exited        udev Coldplug all Devices
udev.service                                                        loaded active running       udev Kernel Device Manager
vboxadd-service.service                                             loaded active running       LSB: VirtualBox Additions service
vboxadd-x11.service                                                 loaded active exited        LSB: VirtualBox Linux Additions kernel modules
vboxadd.service                                                     loaded active exited        LSB: VirtualBox Linux Additions kernel modules
vncserver@:3.service                                                loaded active running       Remote desktop service (VNC)
vncserver@:4.service                                                loaded active running       Remote desktop service (VNC)
vncserver@:5.service                                                loaded active running       Remote desktop service (VNC)
vncserver@multi-user.service                                        loaded failed failed        Remote desktop service (VNC)
vsftpd.service                                                      loaded active running       Vsftpd ftp daemon
webmin.service                                                      loaded active running       LSB: Start or stop the Webmin server
wine.service                                                        loaded active exited        LSB: Add and remove wine binary handler
avahi-daemon.socket                                                 loaded active listening     Avahi mDNS/DNS-SD Stack Activation Socket
cups.socket                                                         loaded active running       CUPS Printing Service Sockets
dbus.socket                                                         loaded active running       D-Bus System Message Bus Socket
dm-event.socket                                                     loaded active listening     Device-mapper event daemon FIFOs
pcscd.socket                                                        loaded active running       PC/SC Smart Card Daemon Activation Socket
rpcbind.socket                                                      loaded active listening     RPCbind Server Activation Socket
syslog.socket                                                       loaded active running       Syslog Socket
systemd-initctl.socket                                              loaded active listening     /dev/initctl Compatibility Named Pipe
systemd-shutdownd.socket                                            loaded active listening     Delayed Shutdown Socket
systemd-stdout-syslog-bridge.socket                                 loaded active running       Stdio Syslog Bridge Socket
udev-control.socket                                                 loaded active running       udev Control Socket
udev-kernel.socket                                                  loaded active running       udev Kernel Socket
dev-dm\x2d1.swap                                                    loaded active active        /dev/dm-1
basic.target                                                        loaded active active        Basic System
cryptsetup.target                                                   loaded active active        Encrypted Volumes
getty.target                                                        loaded active active        Login Prompts
graphical.target                                                    loaded active active        Graphical Interface
local-fs-pre.target                                                 loaded active active        Local File Systems (Pre)
local-fs.target                                                     loaded active active        Local File Systems
multi-user.target                                                   loaded active active        Multi-User
network.target                                                      loaded active active        Network
remote-fs.target                                                    loaded active active        Remote File Systems
sockets.target                                                      loaded active active        Sockets
sound.target                                                        loaded active active        Sound Card
swap.target                                                         loaded active active        Swap
sysinit.target                                                      loaded active active        System Initialization
syslog.target                                                       loaded active active        Syslog
bootchart-done.timer                                                loaded active elapsed       Stop Bootchart after Completed Startup
systemd-tmpfiles-clean.timer                                        loaded active waiting       Daily Cleanup of Temporary Directories

LOAD   = Reflects whether the unit definition was properly loaded.
ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB    = The low-level unit activation state, values depend on unit type.
JOB    = Pending job for the unit.

153 units listed. Pass --all to see inactive units, too.
(END)

--- Additional comment from jsynacek@redhat.com on 2012-02-03 11:23:05 CET ---

I'm unable to reproduce this issue.

Is ftp service the only one enabled in xinetd?
In what scenario can you see the problem appear?
You can also run xinetd in debug mode (xinetd -d) to see if there's any more info present.

--- Additional comment from jcmj@comcast.net on 2012-02-03 17:35:29 CET ---

Hmmm...

[jeff@one4 xinetd.d]$ grep disable *
apgd:        disable         = yes
chargen-dgram:  disable = yes
chargen-stream: disable = yes
cups-lpd:       disable = yes
cups-lpd.rpmsave:       disable = no
cvs.rpmsave:    disable = yes
daytime-dgram:  disable = yes
daytime-stream: disable = yes
discard-dgram:  disable = yes
discard-stream: disable = yes
echo-dgram:     disable = yes
echo-stream:    disable = yes
rsync:  disable = no
tcpmux-server:  disable = yes
telnet: disable = no
tftp:   disable                 = yes
time-dgram:     disable = yes
time-stream:    disable = yes
vsftpd: disable = no

vsftpd is disabled but running?
jeff@one4 xinetd.d]$ ps -ef|grep ftp
root      1006     1  0 Jan31 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf

Loop in Main
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
Comment 1 jeff 2012-02-18 21:54:30 EST
Still happens on 3.2.5-3 Kernel
Comment 3 Jan Synacek 2012-02-21 08:38:53 EST
I'm still unable to reproduce. Please retest with vsftpd.service disabled and
stopped before running xinetd. Additionally please run xinetd with -d parameter
and attach the debug output.
Comment 4 jeff 2012-02-21 09:56:28 EST
I believe vsftpd is what causes xinetd to loop.

At the moment vsftpd will not start and xinetd is running normally.

Working on resolving 795568 to get vsftpd back...

Will update when vsftpd is back.
Comment 6 jeff 2012-02-23 18:26:13 EST
Ok updated to the current kernel 3.2.7-1 and now vsftpd starts on reboot but xinetd is also spinning.

stopped and started vsftpd and xinetd still is spinning.  

top - 16:19:56 up  2:47,  3 users,  load average: 2.12, 1.76, 1.71
Tasks: 168 total,   2 running, 166 sleeping,   0 stopped,   0 zombie
Cpu(s):  3.0%us, 94.0%sy,  0.0%ni,  0.0%id,  0.0%wa,  3.0%hi,  0.0%si,  0.0%st
Mem:   2052684k total,  1736784k used,   315900k free,   150916k buffers
Swap:  2326524k total,        0k used,  2326524k free,   673312k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                               
 1001 root      20   0 22288  916  692 R 50.5  0.0  81:40.32 xinetd                                                                
  840 root      20   0  237m 1644 1152 S 44.5  0.1  71:33.89 rsyslogd                                                              
 2391 jeff      20   0 1226m  30m  17m S  1.3  1.5   1:57.45 knotify4                                                              
30878 root      20   0     0    0    0 S  0.3  0.0   0:00.02 kworker/0:2                                                           
    1 root      20   0 39696 5136 1940 S  0.0  0.3   0:00.67 systemd                                                               
    2 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kthreadd                                                              
    3 root      20   0     0    0    0 S  0.0  0.0   0:00.02 ksoftirqd/0                                                           
    6 root      RT   0     0    0    0 S  0.0  0.0   0:00.00 migration/0                                                           
    7 root      RT   0     0    0    0 S  0.0  0.0   0:00.01 watchdog/0                                                            
    8 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 cpuset                                                                
    9 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 khelper                                                               
   10 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kdevtmpfs                                                             
   11 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 netns                                                                 
   12 root      20   0     0    0    0 S  0.0  0.0   0:00.00 sync_supers                                                           
   13 root      20   0     0    0    0 S  0.0  0.0   0:00.00 bdi-default                                                           
   14 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kintegrityd                                                           
   15 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kblockd                                                               
   16 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 ata_sff                                                               
   17 root      20   0     0    0    0 S  0.0  0.0   0:00.05 khubd                                                                 
   18 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 md                                                                    
   21 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kswapd0                                                               
   22 root      25   5     0    0    0 S  0.0  0.0   0:00.00 ksmd                                                                  
   23 root      39  19     0    0    0 S  0.0  0.0   0:00.40 khugepaged                                                            
   24 root      20   0     0    0    0 S  0.0  0.0   0:00.00 fsnotify_mark                                                         
   25 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 crypto                                                                
   31 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kthrotld                                                              
   33 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_0                                                             
   34 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_1                                                             
   35 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_2                                                             
   37 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kworker/u:3                                                           
   38 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kpsmoused                                                             
[jeff@one4 ~]$ su
Password: 
[root@one4 jeff]# ps -ef|grep vsftpd
root      1023     1  0 13:32 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root     31543  1023  0 16:20 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
nobody   31544 31543  0 16:20 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root     31547 31518  0 16:20 pts/1    00:00:00 grep --color=auto vsftpd
[root@one4 jeff]# uname -a
Linux one4.biz 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb 21 01:40:47 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[root@one4 jeff]# kill 31543
bash: kill: (31543) - No such process
[root@one4 jeff]# ps -ef|grep vsftpd
root       745  1023  0 16:48 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
nobody     746   745  0 16:48 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root       748 31518  0 16:48 pts/1    00:00:00 grep --color=auto vsftpd
root      1023     1  0 13:32 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
[root@one4 jeff]# kill 31543746
bash: kill: (31543746) - No such process
[root@one4 jeff]# kill 3746
bash: kill: (3746) - No such process
[root@one4 jeff]# kill 746
bash: kill: (746) - No such process
[root@one4 jeff]# ps -ef|grep vsftpd
root       756  1023  0 16:48 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
nobody     757   756  0 16:48 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root       759 31518  0 16:48 pts/1    00:00:00 grep --color=auto vsftpd
root      1023     1  0 13:32 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
[root@one4 jeff]# systemctl stop vsftpd.service
[root@one4 jeff]# ps -ef|grep vsftpd
root       778 31518  0 16:48 pts/1    00:00:00 grep --color=auto vsftpd
[root@one4 jeff]# top
top - 16:49:12 up  3:16,  3 users,  load average: 4.36, 3.48, 2.53
Tasks: 171 total,   4 running, 166 sleeping,   0 stopped,   1 zombie
Cpu(s):  8.6%us, 57.0%sy,  0.0%ni,  0.0%id,  0.0%wa, 33.6%hi,  0.8%si,  0.0%st
Mem:   2052684k total,  1925680k used,   127004k free,     1608k buffers
Swap:  2326524k total,   187796k used,  2138728k free,   130276k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                               
 1001 root      20   0 22288  680  592 R 24.2  0.0  94:26.19 xinetd                                                                
32736 jeff      20   0 1932m 904m  23m R 20.6 45.1   1:39.98 firefox                                                               
  840 root      20   0  237m 1204  864 S 20.2  0.1  82:45.69 rsyslogd                                                              
 1545 root      20   0  226m  19m 1552 S  4.3  1.0   1:01.85 denyhosts.py                                                          
  815 root      20   0     0    0    0 Z  0.7  0.0   0:00.02 /usr/libexec/we <defunct>                                             
  389 jeff      20   0  311m  15m 7500 S  0.3  0.8   0:00.34 npviewer.bin                                                          
  594 jeff      20   0 21884 2012 1060 R  0.3  0.1   0:00.31 npviewer.bin                                                          
 1711 root      20   0 93560  19m 1172 S  0.3  1.0   0:00.34 miniserv.pl                                                           
 1840 jeff      20   0 23312 1808  484 S  0.3  0.1   0:02.35 dbus-daemon                                                           
 2391 jeff      20   0 1226m  18m 6244 S  0.3  0.9   2:13.73 knotify4                                                              
    1 root      20   0 39796 2276 1536 S  0.0  0.1   0:00.71 systemd                                                               
    2 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kthreadd                                                              
    3 root      20   0     0    0    0 S  0.0  0.0   0:00.03 ksoftirqd/0                                                           
    6 root      RT   0     0    0    0 S  0.0  0.0   0:00.00 migration/0                                                           
    7 root      RT   0     0    0    0 S  0.0  0.0   0:00.01 watchdog/0                                                            
    8 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 cpuset                                                                
    9 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 khelper                                                               
   10 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kdevtmpfs                                                             
   11 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 netns                                                                 
   12 root      20   0     0    0    0 S  0.0  0.0   0:00.00 sync_supers                                                           
   13 root      20   0     0    0    0 S  0.0  0.0   0:00.00 bdi-default                                                           
   14 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kintegrityd                                                           
   15 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kblockd                                                               
   16 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 ata_sff                                                               
   17 root      20   0     0    0    0 S  0.0  0.0   0:00.05 khubd                                                                 
   18 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 md                                                                    
   21 root      20   0     0    0    0 S  0.0  0.0   0:00.79 kswapd0                                                               
   22 root      25   5     0    0    0 S  0.0  0.0   0:00.00 ksmd                                                                  
   23 root      39  19     0    0    0 S  0.0  0.0   0:00.42 khugepaged                                                            
   24 root      20   0     0    0    0 S  0.0  0.0   0:00.00 fsnotify_mark                                                         
   25 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 crypto                                                                
[root@one4 jeff]# ps -ef|grep vsftpd
root       818 31518  0 16:49 pts/1    00:00:00 grep --color=auto vsftpd
[root@one4 jeff]# systemctl start vsftpd.service
[root@one4 jeff]# ps -ef|grep vsftpd
root       924     1  0 16:50 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root       926 31518  0 16:50 pts/1    00:00:00 grep --color=auto vsftpd
[root@one4 jeff]# top
top - 16:50:57 up  3:18,  3 users,  load average: 2.71, 3.25, 2.56
Tasks: 173 total,   2 running, 171 sleeping,   0 stopped,   0 zombie
Cpu(s):  4.1%us, 91.5%sy,  0.0%ni,  0.0%id,  0.0%wa,  4.4%hi,  0.0%si,  0.0%st
Mem:   2052684k total,  1975708k used,    76976k free,     4936k buffers
Swap:  2326524k total,   238544k used,  2087980k free,   124332k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                               
 1001 root      20   0 22288  660  572 R 48.5  0.0  94:57.95 xinetd                                                                
  840 root      20   0  237m 1204  864 S 43.2  0.1  83:13.69 rsyslogd                                   


Killed xinetd and got cpu back...



jeff]# ps -ef |grep xinetd
root      1001     1 47 13:32 ?        01:46:39 /usr/sbin/xinetd -stayalive -pidfile /var/run/xinetd.pid
root      2448 31518  0 17:18 pts/1    00:00:00 grep --color=auto xinetd
[root@one4 jeff]# kill 1001
[root@one4 jeff]# top
top - 17:18:42 up  3:46,  3 users,  load average: 1.90, 2.17, 2.23
Tasks: 172 total,   1 running, 171 sleeping,   0 stopped,   0 zombie
Cpu(s):  1.1%us,  1.8%sy,  0.0%ni, 95.1%id,  0.0%wa,  2.1%hi,  0.0%si,  0.0%st
Mem:   2052684k total,  1936344k used,   116340k free,     1512k buffers
Swap:  2326524k total,   411748k used,  1914776k free,   107296k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                               
32736 jeff      20   0 1960m 978m  16m S  4.6 48.8   3:53.45 firefox                                                               
 2391 jeff      20   0 1226m  13m 4832 S  1.3  0.7   2:30.56 knotify4                                                              
 1558 qtss      20   0 32440  428  308 S  0.3  0.0   0:01.68 DarwinStreaming                                                       
    1 root      20   0 39796 2536 1236 S  0.0  0.1   0:00.75 systemd                                                               
    2 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kthreadd                                                              
    3 root      20   0     0    0    0 S  0.0  0.0   0:00.03 ksoftirqd/0                                                           
    6 root      RT   0     0    0    0 S  0.0  0.0   0:00.00 migration/0                                                           
    7 root      RT   0     0    0    0 S  0.0  0.0   0:00.02 watchdog/0                                                            
    8 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 cpuset                                                                
    9 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 khelper                                                               
   10 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kdevtmpfs                                                             
   11 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 netns                                                                 
   12 root      20   0     0    0    0 S  0.0  0.0   0:00.01 sync_supers                                                           
   13 root      20   0     0    0    0 S  0.0  0.0   0:00.00 bdi-default                                                           
   14 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kintegrityd                                                           
   15 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kblockd                                                               
   16 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 ata_sff                                                               
   17 root      20   0     0    0    0 S  0.0  0.0   0:00.05 khubd                                                                 
   18 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 md                                                                    
   21 root      20   0     0    0    0 S  0.0  0.0   0:01.76 kswapd0                                                               
   22 root      25   5     0    0    0 S  0.0  0.0   0:00.00 ksmd                                                                  
   23 root      39  19     0    0    0 S  0.0  0.0   0:00.47 khugepaged                                                            
   24 root      20   0     0    0    0 S  0.0  0.0   0:00.00 fsnotify_mark                                                         
   25 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 crypto                                                                
   31 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kthrotld                                                              
   33 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_0                                                             
   34 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_1                                                             
   35 root      20   0     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_2                                                             
   37 root      20   0     0    0    0 S  0.0  0.0   0:00.00 kworker/u:3                                                           
   38 root       0 -20     0    0    0 S  0.0  0.0   0:00.00 kpsmoused                                                             
   39 root      20   0     0    0    0 S  0.0  0.0   0:00.01 kworker/u:4                                                           


Vsftpd still is running..
jeff]# ps -ef |grep vsftpd
root       924     1  0 16:50 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
root      2490 31518  0 17:19 pts/1    00:00:00 grep --color=auto vsftpd


restart xinetd in debug mode

Looping here 
12/2/23@17:22:03: DEBUG: 2679 {main_loop} select returned 1
12/2/23@17:22:03: ERROR: 2679 {main_loop} 1 descriptors still set
12/2/23@17:22:03: DEBUG: 2679 {main_loop} active_services = 2

strace below
execve("/usr/sbin/xinetd", ["xinetd", "-d"], [/* 63 vars */]) = 0
brk(0)                                  = 0x7f24ea919000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8dde000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=253499, ...}) = 0
mmap(NULL, 253499, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f24e8da0000
close(3)                                = 0
open("/lib64/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0]`\2526\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=129136, ...}) = 0
mmap(NULL, 2226184, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e899e000
mprotect(0x7f24e89bb000, 2097152, PROT_NONE) = 0
mmap(0x7f24e8bbb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1d000) = 0x7f24e8bbb000
mmap(0x7f24e8bbd000, 2056, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e8bbd000
close(3)                                = 0
open("/lib64/libwrap.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220/`\2623\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=39744, ...}) = 0
mmap(NULL, 2134824, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e8794000
mprotect(0x7f24e879c000, 2097152, PROT_NONE) = 0
mmap(0x7f24e899c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x7f24e899c000
mmap(0x7f24e899d000, 808, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e899d000
close(3)                                = 0
open("/lib64/libnsl.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`@\340\2503\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=120624, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8d9f000
mmap(NULL, 2202296, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e857a000
mprotect(0x7f24e8591000, 2093056, PROT_NONE) = 0
mmap(0x7f24e8790000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f24e8790000
mmap(0x7f24e8792000, 6840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e8792000
close(3)                                = 0
open("/lib64/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260Q\300\2273\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=603096, ...}) = 0
mmap(NULL, 2633960, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e82f6000
[root@one4 jeff]# more xineterr
execve("/usr/sbin/xinetd", ["xinetd", "-d"], [/* 63 vars */]) = 0
brk(0)                                  = 0x7f24ea919000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8dde000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=253499, ...}) = 0
mmap(NULL, 253499, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f24e8da0000
close(3)                                = 0
open("/lib64/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0]`\2526\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=129136, ...}) = 0
mmap(NULL, 2226184, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e899e000
mprotect(0x7f24e89bb000, 2097152, PROT_NONE) = 0
mmap(0x7f24e8bbb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1d000) = 0x7f24e8bbb000
mmap(0x7f24e8bbd000, 2056, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e8bbd000
close(3)                                = 0
open("/lib64/libwrap.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220/`\2623\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=39744, ...}) = 0
mmap(NULL, 2134824, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e8794000
mprotect(0x7f24e879c000, 2097152, PROT_NONE) = 0
mmap(0x7f24e899c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x7f24e899c000
mmap(0x7f24e899d000, 808, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e899d000
close(3)                                = 0
open("/lib64/libnsl.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`@\340\2503\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=120624, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8d9f000
mmap(NULL, 2202296, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e857a000
mprotect(0x7f24e8591000, 2093056, PROT_NONE) = 0
mmap(0x7f24e8790000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f24e8790000
mmap(0x7f24e8792000, 6840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e8792000
close(3)                                = 0
open("/lib64/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260Q\300\2273\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=603096, ...}) = 0
mmap(NULL, 2633960, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e82f6000
mprotect(0x7f24e8379000, 2093056, PROT_NONE) = 0
mmap(0x7f24e8578000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x82000) = 0x7f24e8578000
close(3)                                = 0
open("/lib64/libcrypt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\f@[2\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=43504, ...}) = 0
mmap(NULL, 2318880, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e80bf000
mprotect(0x7f24e80c7000, 2093056, PROT_NONE) = 0
mmap(0x7f24e82c6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x7f24e82c6000
mmap(0x7f24e82c8000, 184864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e82c8000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\27\2\2273\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=2068608, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8d9e000
mmap(NULL, 3888440, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e7d09000
mprotect(0x7f24e7eb4000, 2097152, PROT_NONE) = 0
mmap(0x7f24e80b4000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1ab000) = 0x7f24e80b4000
mmap(0x7f24e80ba000, 17720, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e80ba000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\r\200\2273\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=22696, ...}) = 0
mmap(NULL, 2109704, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e7b05000
mprotect(0x7f24e7b07000, 2097152, PROT_NONE) = 0
mmap(0x7f24e7d07000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f24e7d07000
close(3)                                = 0
open("/lib64/libfreebl3.so", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`4\200[2\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=390288, ...}) = 0
mmap(NULL, 2500416, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f24e78a2000
mprotect(0x7f24e78ff000, 2097152, PROT_NONE) = 0
mmap(0x7f24e7aff000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x5d000) = 0x7f24e7aff000
mmap(0x7f24e7b01000, 14144, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f24e7b01000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8d9d000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8d9b000
arch_prctl(ARCH_SET_FS, 0x7f24e8d9b7c0) = 0
mprotect(0x7f24e80b4000, 16384, PROT_READ) = 0
mprotect(0x7f24e7d07000, 4096, PROT_READ) = 0
mprotect(0x7f24e7aff000, 4096, PROT_READ) = 0
mprotect(0x7f24e82c6000, 4096, PROT_READ) = 0
mprotect(0x7f24e8578000, 4096, PROT_READ) = 0
mprotect(0x7f24e8790000, 4096, PROT_READ) = 0
mprotect(0x7f24e8bbb000, 4096, PROT_READ) = 0
mprotect(0x7f24e900a000, 8192, PROT_READ) = 0
mprotect(0x7f24e8ddf000, 4096, PROT_READ) = 0
munmap(0x7f24e8da0000, 253499)          = 0
statfs("/sys/fs/selinux", 0x7fff14d9db70) = -1 ENOENT (No such file or directory)
statfs("/selinux", 0x7fff14d9db70)      = -1 ENOENT (No such file or directory)
brk(0)                                  = 0x7f24ea919000
brk(0x7f24ea93a000)                     = 0x7f24ea93a000
open("/proc/filesystems", O_RDONLY)     = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24e8ddd000
read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 1024) = 392
read(3, "", 1024)                       = 0
close(3)                                = 0
munmap(0x7f24e8ddd000, 4096)            = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=4*1024}) = 0
close(3)                                = -1 EBADF (Bad file descriptor)
close(4)                                = -1 EBADF (Bad file descriptor)
close(5)                                = -1 EBADF (Bad file descriptor)
close(6)                                = -1 EBADF (Bad file descriptor)
close(7)                                = -1 EBADF (Bad file descriptor)
close(8)                                = -1 EBADF (Bad file descriptor)
close(9)                                = -1 EBADF (Bad file descriptor)
close(10)                               = -1 EBADF (Bad file descriptor)
close(11)                               = -1 EBADF (Bad file descriptor)
close(12)                               = -1 EBADF (Bad file descriptor)
close(13)                               = -1 EBADF (Bad file descriptor)
close(14)                               = -1 EBADF (Bad file descriptor)
close(15)                               = -1 EBADF (Bad file descriptor)
close(16)                               = -1 EBADF (Bad file descriptor)
close(17)                               = -1 EBADF (Bad file descriptor)
close(18)                               = -1 EBADF (Bad file descriptor)
close(19)                               = -1 EBADF (Bad file descriptor)
close(20)                               = -1 EBADF (Bad file descriptor)
close(21)                               = -1 EBADF (Bad file descriptor)
close(22)                               = -1 EBADF (Bad file descriptor)
close(23)                               = -1 EBADF (Bad file descriptor)
close(24)                               = -1 EBADF (Bad file descriptor)
close(25)                               = -1 EBADF (Bad file descriptor)
close(26)                               = -1 EBADF (Bad file descriptor)
close(27)                               = -1 EBADF (Bad file descriptor)
close(28)                               = -1 EBADF (Bad file descriptor)
close(29)                               = -1 EBADF (Bad file descriptor)
close(30)                               = -1 EBADF (Bad file descriptor)
close(31)                               = -1 EBADF (Bad file descriptor)
close(32)                               = -1 EBADF (Bad file descriptor)
close(33)                               = -1 EBADF (Bad file descriptor)
close(34)                               = -1 EBADF (Bad file descriptor)
close(35)                               = -1 EBADF (Bad file descriptor)
close(36)                               = -1 EBADF (Bad file descriptor)
close(37)                               = -1 EBADF (Bad file descriptor)
close(38)                               = -1 EBADF (Bad file descriptor)
close(39)                               = -1 EBADF (Bad file descriptor)
close(40)                               = -1 EBADF (Bad file descriptor)
close(41)                               = -1 EBADF (Bad file descriptor)
close(42)                               = -1 EBADF (Bad file descriptor)
close(43)                               = -1 EBADF (Bad file descriptor)
close(44)                               = -1 EBADF (Bad file descriptor)
close(45)                               = -1 EBADF (Bad file descriptor)
close(46)                               = -1 EBADF (Bad file descriptor)
close(47)                               = -1 EBADF (Bad file descriptor)
close(48)                               = -1 EBADF (Bad file descriptor)
close(49)                               = -1 EBADF (Bad file descriptor)
close(50)                               = -1 EBADF (Bad file descriptor)
close(51)                               = -1 EBADF (Bad file descriptor)
close(52)                               = -1 EBADF (Bad file descriptor)
close(53)                               = -1 EBADF (Bad file descriptor)
close(54)                               = -1 EBADF (Bad file descriptor)
close(55)                               = -1 EBADF (Bad file descriptor)
close(56)                               = -1 EBADF (Bad file descriptor)
close(57)                               = -1 EBADF (Bad file descriptor)
close(58)                               = -1 EBADF (Bad file descriptor)
close(59)                               = -1 EBADF (Bad file descriptor)
close(60)                               = -1 EBADF (Bad file descriptor)
close(61)                               = -1 EBADF (Bad file descriptor)
close(62)                               = -1 EBADF (Bad file descriptor)
close(63)                               = -1 EBADF (Bad file descriptor)
close(64)                               = -1 EBADF (Bad file descriptor)
close(65)                               = -1 EBADF (Bad file descriptor)
close(66)                               = -1 EBADF (Bad file descriptor)
close(67)                               = -1 EBADF (Bad file descriptor)
close(68)                               = -1 EBADF (Bad file descriptor)
close(69)                               = -1 EBADF (Bad file descriptor)
close(70)                               = -1 EBADF (Bad file descriptor)
close(71)                               = -1 EBADF (Bad file descriptor)
close(72)                               = -1 EBADF (Bad file descriptor)
close(73)                               = -1 EBADF (Bad file descriptor)
close(74)                               = -1 EBADF (Bad file descriptor)
close(75)                               = -1 EBADF (Bad file descriptor)
close(76)                               = -1 EBADF (Bad file descriptor)
close(77)                               = -1 EBADF (Bad file descriptor)
close(78)                               = -1 EBADF (Bad file descriptor)
close(79)                               = -1 EBADF (Bad file descriptor)
close(80)                               = -1 EBADF (Bad file descriptor)
close(81)                               = -1 EBADF (Bad file descriptor)
close(82)                               = -1 EBADF (Bad file descriptor)
close(83)                               = -1 EBADF (Bad file descriptor)
close(84)                               = -1 EBADF (Bad file descriptor)
close(85)                               = -1 EBADF (Bad file descriptor)
close(86)                               = -1 EBADF (Bad file descriptor)
close(87)                               = -1 EBADF (Bad file descriptor)
close(88)                               = -1 EBADF (Bad file descriptor)
close(89)                               = -1 EBADF (Bad file descriptor)
close(90)                               = -1 EBADF (Bad file descriptor)
close(91)                               = -1 EBADF (Bad file descriptor)
close(92)                               = -1 EBADF (Bad file descriptor)
close(93)                               = -1 EBADF (Bad file descriptor)
close(94)                               = -1 EBADF (Bad file descriptor)
close(95)                               = -1 EBADF (Bad file descriptor)
close(96)                               = -1 EBADF (Bad file descriptor)
close(97)                               = -1 EBADF (Bad file descriptor)
close(98)                               = -1 EBADF (Bad file descriptor)
close(99)                               = -1 EBADF (Bad file descriptor)
close(100)                              = -1 EBADF (Bad file descriptor)
close(101)                              = -1 EBADF (Bad file descriptor)
close(102)                              = -1 EBADF (Bad file descriptor)
close(103)                              = -1 EBADF (Bad file descriptor)
close(104)                              = -1 EBADF (Bad file descriptor)
close(105)                              = -1 EBADF (Bad file descriptor)
close(106)                              = -1 EBADF (Bad file descriptor)
close(107)                              = -1 EBADF (Bad file descriptor)
close(108)                              = -1 EBADF (Bad file descriptor)
close(109)                              = -1 EBADF (Bad file descriptor)
close(110)                              = -1 EBADF (Bad file descriptor)
close(111)                              = -1 EBADF (Bad file descriptor)
close(112)                              = -1 EBADF (Bad file descriptor)
close(113)                              = -1 EBADF (Bad file descriptor)
close(114)                              = -1 EBADF (Bad file descriptor)
close(115)                              = -1 EBADF (Bad file descriptor)
close(116)                              = -1 EBADF (Bad file descriptor)
close(117)                              = -1 EBADF (Bad file descriptor)
close(118)                              = -1 EBADF (Bad file descriptor)
close(119)                              = -1 EBADF (Bad file descriptor)
close(120)                              = -1 EBADF (Bad file descriptor)
close(121)                              = -1 EBADF (Bad file descriptor)
close(122)                              = -1 EBADF (Bad file descriptor)
close(123)                              = -1 EBADF (Bad file descriptor)
close(124)                              = -1 EBADF (Bad file descriptor)
close(125)                              = -1 EBADF (Bad file descriptor)
close(126)                              = -1 EBADF (Bad file descriptor)
close(127)                              = -1 EBADF (Bad file descriptor)
close(128)                              = -1 EBADF (Bad file descriptor)
close(129)                              = -1 EBADF (Bad file descriptor)
close(130)                              = -1 EBADF (Bad file descriptor)
close(131)                              = -1 EBADF (Bad file descriptor)
close(132)                              = -1 EBADF (Bad file descriptor)
close(133)                              = -1 EBADF (Bad file descriptor)
close(134)                              = -1 EBADF (Bad file descriptor)
close(135)                              = -1 EBADF (Bad file descriptor)
close(136)                              = -1 EBADF (Bad file descriptor)
close(137)                              = -1 EBADF (Bad file descriptor)
close(138)                              = -1 EBADF (Bad file descriptor)
close(139)                              = -1 EBADF (Bad file descriptor)
close(140)                              = -1 EBADF (Bad file descriptor)
close(141)                              = -1 EBADF (Bad file descriptor)
close(142)                              = -1 EBADF (Bad file descriptor)
close(143)                              = -1 EBADF (Bad file descriptor)
close(144)                              = -1 EBADF (Bad file descriptor)
close(145)                              = -1 EBADF (Bad file descriptor)
close(146)                              = -1 EBADF (Bad file descriptor)
close(147)                              = -1 EBADF (Bad file descriptor)
close(148)                              = -1 EBADF (Bad file descriptor)
close(149)                              = -1 EBADF (Bad file descriptor)
close(150)                              = -1 EBADF (Bad file descriptor)
close(151)                              = -1 EBADF (Bad file descriptor)
close(152)                              = -1 EBADF (Bad file descriptor)
close(153)                              = -1 EBADF (Bad file descriptor)
close(154)                              = -1 EBADF (Bad file descriptor)
close(155)                              = -1 EBADF (Bad file descriptor)
close(156)                              = -1 EBADF (Bad file descriptor)
close(157)                              = -1 EBADF (Bad file descriptor)
close(158)                              = -1 EBADF (Bad file descriptor)
close(159)                              = -1 EBADF (Bad file descriptor)
close(160)                              = -1 EBADF (Bad file descriptor)
close(161)                              = -1 EBADF (Bad file descriptor)
close(162)                              = -1 EBADF (Bad file descriptor)
close(163)                              = -1 EBADF (Bad file descriptor)
close(164)                              = -1 EBADF (Bad file descriptor)
close(165)                              = -1 EBADF (Bad file descriptor)
close(166)                              = -1 EBADF (Bad file descriptor)
close(167)                              = -1 EBADF (Bad file descriptor)
close(168)                              = -1 EBADF (Bad file descriptor)
close(169)                              = -1 EBADF (Bad file descriptor)
close(170)                              = -1 EBADF (Bad file descriptor)
close(171)                              = -1 EBADF (Bad file descriptor)
close(172)                              = -1 EBADF (Bad file descriptor)
close(173)                              = -1 EBADF (Bad file descriptor)
close(174)                              = -1 EBADF (Bad file descriptor)
close(175)                              = -1 EBADF (Bad file descriptor)
close(176)                              = -1 EBADF (Bad file descriptor)
close(177)                              = -1 EBADF (Bad file descriptor)
close(178)                              = -1 EBADF (Bad file descriptor)
close(179)                              = -1 EBADF (Bad file descriptor)
close(180)                              = -1 EBADF (Bad file descriptor)
close(181)                              = -1 EBADF (Bad file descriptor)
close(182)                              = -1 EBADF (Bad file descriptor)
close(183)                              = -1 EBADF (Bad file descriptor)
close(184)                              = -1 EBADF (Bad file descriptor)
close(185)                              = -1 EBADF (Bad file descriptor)
close(186)                              = -1 EBADF (Bad file descriptor)
close(187)                              = -1 EBADF (Bad file descriptor)
close(188)                              = -1 EBADF (Bad file descriptor)
close(189)                              = -1 EBADF (Bad file descriptor)
close(190)                              = -1 EBADF (Bad file descriptor)
close(191)                              = -1 EBADF (Bad file descriptor)
close(192)                              = -1 EBADF (Bad file descriptor)
close(193)                              = -1 EBADF (Bad file descriptor)
close(194)                              = -1 EBADF (Bad file descriptor)
close(195)                              = -1 EBADF (Bad file descriptor)
close(196)                              = -1 EBADF (Bad file descriptor)
close(197)                              = -1 EBADF (Bad file descriptor)
close(198)                              = -1 EBADF (Bad file descriptor)
close(199)                              = -1 EBADF (Bad file descriptor)
close(200)                              = -1 EBADF (Bad file descriptor)
close(201)                              = -1 EBADF (Bad file descriptor)
close(202)                              = -1 EBADF (Bad file descriptor)
close(203)                              = -1 EBADF (Bad file descriptor)
close(204)                              = -1 EBADF (Bad file descriptor)
close(205)                              = -1 EBADF (Bad file descriptor)
close(206)                              = -1 EBADF (Bad file descriptor)
close(207)                              = -1 EBADF (Bad file descriptor)
close(208)                              = -1 EBADF (Bad file descriptor)
close(209)                              = -1 EBADF (Bad file descriptor)
close(210)                              = -1 EBADF (Bad file descriptor)
close(211)                              = -1 EBADF (Bad file descriptor)
close(212)                              = -1 EBADF (Bad file descriptor)
close(213)                              = -1 EBADF (Bad file descriptor)
close(214)                              = -1 EBADF (Bad file descriptor)
close(215)                              = -1 EBADF (Bad file descriptor)
close(216)                              = -1 EBADF (Bad file descriptor)
close(217)                              = -1 EBADF (Bad file descriptor)
close(218)                              = -1 EBADF (Bad file descriptor)
close(219)                              = -1 EBADF (Bad file descriptor)
close(220)                              = -1 EBADF (Bad file descriptor)
close(221)                              = -1 EBADF (Bad file descriptor)
close(222)                              = -1 EBADF (Bad file descriptor)
close(223)                              = -1 EBADF (Bad file descriptor)
close(224)                              = -1 EBADF (Bad file descriptor)
close(225)                              = -1 EBADF (Bad file descriptor)
close(226)                              = -1 EBADF (Bad file descriptor)
close(227)                              = -1 EBADF (Bad file descriptor)
close(228)                              = -1 EBADF (Bad file descriptor)
close(229)                              = -1 EBADF (Bad file descriptor)
close(230)                              = -1 EBADF (Bad file descriptor)
close(231)                              = -1 EBADF (Bad file descriptor)
close(232)                              = -1 EBADF (Bad file descriptor)
close(233)                              = -1 EBADF (Bad file descriptor)
close(234)                              = -1 EBADF (Bad file descriptor)
close(235)                              = -1 EBADF (Bad file descriptor)
close(236)                              = -1 EBADF (Bad file descriptor)
close(237)                              = -1 EBADF (Bad file descriptor)
close(238)                              = -1 EBADF (Bad file descriptor)
close(239)                              = -1 EBADF (Bad file descriptor)
close(240)                              = -1 EBADF (Bad file descriptor)
close(241)                              = -1 EBADF (Bad file descriptor)
close(242)                              = -1 EBADF (Bad file descriptor)
close(243)                              = -1 EBADF (Bad file descriptor)
close(244)                              = -1 EBADF (Bad file descriptor)
close(245)                              = -1 EBADF (Bad file descriptor)
close(246)                              = -1 EBADF (Bad file descriptor)
close(247)                              = -1 EBADF (Bad file descriptor)
close(248)                              = -1 EBADF (Bad file descriptor)
close(249)                              = -1 EBADF (Bad file descriptor)
close(250)                              = -1 EBADF (Bad file descriptor)
close(251)                              = -1 EBADF (Bad file descriptor)
close(252)                              = -1 EBADF (Bad file descriptor)
close(253)                              = -1 EBADF (Bad file descriptor)
close(254)                              = -1 EBADF (Bad file descriptor)
close(255)                              = -1 EBADF (Bad file descriptor)
close(256)                              = -1 EBADF (Bad file descriptor)
close(257)                              = -1 EBADF (Bad file descriptor)
close(258)                              = -1 EBADF (Bad file descriptor)
close(259)                              = -1 EBADF (Bad file descriptor)
close(260)                              = -1 EBADF (Bad file descriptor)
close(261)                              = -1 EBADF (Bad file descriptor)
close(262)                              = -1 EBADF (Bad file descriptor)
close(263)                              = -1 EBADF (Bad file descriptor)
close(264)                              = -1 EBADF (Bad file descriptor)
close(265)                              = -1 EBADF (Bad file descriptor)
close(266)                              = -1 EBADF (Bad file descriptor)
close(267)                              = -1 EBADF (Bad file descriptor)
close(268)                              = -1 EBADF (Bad file descriptor)
close(269)                              = -1 EBADF (Bad file descriptor)
close(270)                              = -1 EBADF (Bad file descriptor)
close(271)                              = -1 EBADF (Bad file descriptor)
close(272)                              = -1 EBADF (Bad file descriptor)
close(273)                              = -1 EBADF (Bad file descriptor)
close(274)                              = -1 EBADF (Bad file descriptor)
close(275)                              = -1 EBADF (Bad file descriptor)
Comment 7 Jan Synacek 2012-03-02 02:48:54 EST
Ok, I think I finally have a clue what is going on.

This error is very specific. The vsftpd has to be running prior to running xinetd with vsftpd enabled. Here is a snippet of xinetd debug output:

12/3/2@08:38:58: ERROR: 19217 {activate_normal} bind failed (Address already in use (errno = 98)). service = ftp
12/3/2@08:38:58: ERROR: 19217 {cnf_start_services} Service ftp failed to start and is deactivated.
12/3/2@08:38:58: DEBUG: 19217 {cnf_start_services} pfds_last = 3, services_started = 2

If you want to run vsftpd via xinetd, you have to configure it with 'listen=no' in vsftpd.conf and disable its start via systemctl. Consider it a temporary solution until I find a fix to this issue.
Comment 8 Jan Synacek 2012-03-02 03:38:04 EST
Fixed in rawhide:
http://lists.fedoraproject.org/pipermail/scm-commits/2012-March/745046.html
Comment 9 jeff 2012-03-02 17:55:10 EST
Jan,

Thanks. This is a two for one as if you look at my notes in https://bugzilla.redhat.com/show_bug.cgi?id=795568 vsftpd has an error in the config file processing if you set listen=NO it does not start.  You must in fact comment out that line or run it standalone.
Comment 10 Jan Synacek 2012-03-05 02:06:27 EST
I commented on #795568. The config file processing is ok.
Comment 11 Jan Synacek 2012-04-13 06:19:04 EDT
Update in rawhide:
http://lists.fedoraproject.org/pipermail/scm-commits/2012-April/769238.html
Comment 20 Jan Synacek 2012-07-26 03:29:02 EDT
Additional info - how to test:

1) enable daytime service by editing /etc/xinetd.d/daytime-dgram
   + set cps to a low value, e.g. "cps 5 1"

2) start xinetd

3) hit it hard: 
   $ yes | nc -u localhost 13

4) [optional] try enabling more services and do 3) + test funcionality of the other services and see if they respond well when xinetd is under such load
Comment 29 errata-xmlrpc 2013-02-21 02:43:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0499.html

Note You need to log in before you can comment on or make changes to this bug.